## ros-noetic-moveit-visual-tools 3.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(moveit_visual_tools)

# C++ 11 required for OMPL
add_compile_options(-std=c++11)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  rviz_visual_tools
  tf2_eigen
  geometry_msgs
  moveit_ros_planning
  moveit_core
  roscpp
  tf2_ros
  visualization_msgs
  graph_msgs
  std_msgs
  trajectory_msgs
  cmake_modules
  roslint
)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED system)

# Catkin
catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
    rviz_visual_tools
    moveit_ros_planning
    moveit_core
    geometry_msgs
    visualization_msgs
    graph_msgs
    std_msgs
    trajectory_msgs
  INCLUDE_DIRS include
)

## Build
include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

# Visualization Tools Library
add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}.cpp
  src/imarker_robot_state.cpp
  src/imarker_end_effector.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
add_dependencies(${PROJECT_NAME} graph_msgs_generate_messages_cpp)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Demo executable
add_executable(${PROJECT_NAME}_demo src/${PROJECT_NAME}_demo.cpp)
target_link_libraries(${PROJECT_NAME}_demo
  ${catkin_LIBRARIES} ${PROJECT_NAME}
)


#############
## Testing ##
#############

## Test for correct C++ source code
roslint_cpp()

#############
## Install ##
#############

# Install libraries
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install shared resources
install(DIRECTORY launch    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install executables
install(TARGETS ${PROJECT_NAME}_demo
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-moveit-visual-tools (3.6.0-1buster) buster; urgency=high

  * [feature] Unified collision environment used (#54 <https://github.com/ros-planning/moveit_visual_tools/issues/54>)
  * [feature] publish cuboids with size (#59 <https://github.com/ros-planning/moveit_visual_tools/issues/59>)
  * [feature] hideRobot(): use new .hide member of DisplayRobotState msg (#56 <https://github.com/ros-planning/moveit_visual_tools/issues/56>)
  * [feature] Use first trajectory point as start state for visualization (#49 <https://github.com/ros-planning/moveit_visual_tools/issues/49>)
  * [feature] exposing the publishers to the user (#48 <https://github.com/ros-planning/moveit_visual_tools/issues/48>)
  * [feature] Highlight selected links in publishRobotState() + improved collision visualization (#45 <https://github.com/ros-planning/moveit_visual_tools/issues/45>)
  * [fix] Update to Noetic and fix various warnings (#79 <https://github.com/ros-planning/moveit_visual_tools/issues/79>)
  * [fix] Fix Eigen alignment (#63 <https://github.com/ros-planning/moveit_visual_tools/issues/63>)
  * [fix] missing end effector markers because clear (#51 <https://github.com/ros-planning/moveit_visual_tools/issues/51>)
  * [fix] Remove #attempts from setFromIK (#43 <https://github.com/ros-planning/moveit_visual_tools/issues/43>)
  * [documentation] Update README.md (#69 <https://github.com/ros-planning/moveit_visual_tools/issues/69>)
  * [documentation] update doc of hideRobot() (#64 <https://github.com/ros-planning/moveit_visual_tools/issues/64>)
  * [maint] add soname version (#74 <https://github.com/ros-planning/moveit_visual_tools/issues/74>)
  * [maint] Replace tf_conversions with tf2's toMsg / fromMsg (#66 <https://github.com/ros-planning/moveit_visual_tools/issues/66>)
  * [maint] fix clang-tidy issue (#68 <https://github.com/ros-planning/moveit_visual_tools/issues/68>)
  * [maint] Cleanup (#65 <https://github.com/ros-planning/moveit_visual_tools/issues/65>)
    * Replace robot_model and robot_state namespaces by moveit::core
    * Fix clang-tidy issues
    * Remove deprecated function
  * [maint] Bump required cmake version (#62 <https://github.com/ros-planning/moveit_visual_tools/issues/62>)
  * [maint] moveit.rosinstall: use master branch for all deps (#57 <https://github.com/ros-planning/moveit_visual_tools/issues/57>)
  * [maint] drop melodic + kinetic support for master branch (#58 <https://github.com/ros-planning/moveit_visual_tools/issues/58>)
  * [maint] Fix Travis config + issues (#47 <https://github.com/ros-planning/moveit_visual_tools/issues/47>)
  * [maint] Change 'MoveIt!' to MoveIt
  * Contributors: Bjar Ne, Dave Coleman, Henning Kayser, Jafar Abdi, Jens P, Mark Moll, Michael Görner, Mike Lautman, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Fri, 09 Oct 2020 06:00:00 -0000

ros-noetic-moveit-visual-tools (3.5.2-1buster) buster; urgency=high

  * Use LOGNAME for named logging (#42 <https://github.com/ros-planning/moveit_visual_tools/issues/42>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#39 <https://github.com/ros-planning/moveit_visual_tools/issues/39>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Mon, 10 Dec 2018 07:00:00 -0000

ros-noetic-moveit-visual-tools (3.5.1-1buster) buster; urgency=high

  * Adding trigger call to animations when batch_publishing_enabled_ is enabled (#36 <https://github.com/ros-planning/moveit_visual_tools/issues/36>)
  * Contributors: Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Wed, 14 Nov 2018 07:00:00 -0000

ros-noetic-moveit-visual-tools (3.5.0-1buster) buster; urgency=high

  * Add Markdown ROS Buildfarm badges for Melodic
  * Fixing melodic branch with tf2 updates (#34 <https://github.com/ros-planning/moveit_visual_tools/issues/34>)
  * Additional visualization (#31 <https://github.com/ros-planning/moveit_visual_tools/issues/31>)
    * adding a visualization for publishing a box with width, height, and depth
    * adding additional publishCollisionCuboid method overloads
    * changing x,y,z to width, depth, height
  * Fixup CMakeLists and package.xml (#30 <https://github.com/ros-planning/moveit_visual_tools/issues/30>)
  * Triggering UPDATE_GEOMETRY is sufficient, dont spinOnce
    - triggering UPDATE_SCENE leads to sending a full planning scene including all meshes. For all use-cases in this lib UPDATE_GEOMETRY is sufficient and sends only diffs
    - calling ros::spinOnce() in random places messes up the event queue (e.g. joint state updates being processed in gui thread instead of the async spinner thread)
  * Fix API compatibility by providing a default empty list of end-effector joints
  * Allow setting joint values for end-effector marker
    currently end-effector markers are based on the default robot state (ie all zero),
    this allows passing a vector of doubles for all active joint in the end-effector group
    Passing a new set of joint values will invalidate the cache but for our use-case this is
    neglectible and could be optimized later
  * Moved boost::shared_ptr to std for tf2
  * Converted to use tf2 moveit interfaces
  * Fix broken CI for Melodic
  * Fix Continuous Integration
  * Contributors: Dave Coleman, Ian McMahon, Mike Lautman, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Wed, 05 Sep 2018 06:00:00 -0000

ros-noetic-moveit-visual-tools (3.4.0-1buster) buster; urgency=high

  * Apply current MoveIt clang-format
  * Various improvements needed while finishing planning thesis
  * Fix greater than/less than issue in clearance check
  * Ability to specify clearance for random state
  * Small threading fixes
  * imarker: Fix setToRandomState()
    imarker: Switch to std::makeshared
  * Improve console output
  * Contributors: Dave Coleman, Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Wed, 27 Dec 2017 07:00:00 -0000

ros-noetic-moveit-visual-tools (3.3.0-1buster) buster; urgency=high

  * Change error message to warning
  * Make planning scene monitor publicly exposed


=== debian/control ===
Source: ros-noetic-moveit-visual-tools
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-geometry-msgs, ros-noetic-graph-msgs, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rviz-visual-tools, ros-noetic-std-msgs, ros-noetic-tf2-eigen, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-visualization-msgs
Homepage: https://github.com/ros-planning/moveit_visual_tools
Standards-Version: 3.9.2

Package: ros-noetic-moveit-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cmake-modules, ros-noetic-geometry-msgs, ros-noetic-graph-msgs, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rviz-visual-tools, ros-noetic-std-msgs, ros-noetic-tf2-eigen, ros-noetic-tf2-ros, ros-noetic-trajectory-msgs, ros-noetic-visualization-msgs
Description: Helper functions for displaying and debugging MoveIt data in Rviz via published markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-visual-tools//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-moveit-visual-tools 3.6.1

=== debian/changelog ===
ros-noetic-moveit-visual-tools (3.6.1-1focal) focal; urgency=high

  * publishTrajectoryLine(): issue error when no end-effector tips are found (#129 <https://github.com/ros-planning/moveit_visual_tools/issues/129>)
  * Fixed possible null-pointer segfault (#95 <https://github.com/ros-planning/moveit_visual_tools/issues/95>)
  * Only set active joints (#84 <https://github.com/ros-planning/moveit_visual_tools/issues/84>)
  * Use specified color for EndEffector marker (#96 <https://github.com/ros-planning/moveit_visual_tools/issues/96>)
  * Contributors: Felix von Drigalski, Henning Kayser, Jochen Sprickerhof, Michael Görner, Robert Haschke, Simon Schmeisser, Stephanie Eng, Tyler Weaver, Vatan Aksoy Tezer, werner291

 -- Dave Coleman <dave@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-noetic-moveit-visual-tools (3.6.0-1focal) focal; urgency=high

  * [feature] Unified collision environment used (#54 <https://github.com/ros-planning/moveit_visual_tools/issues/54>)
  * [feature] publish cuboids with size (#59 <https://github.com/ros-planning/moveit_visual_tools/issues/59>)
  * [feature] hideRobot(): use new .hide member of DisplayRobotState msg (#56 <https://github.com/ros-planning/moveit_visual_tools/issues/56>)
  * [feature] Use first trajectory point as start state for visualization (#49 <https://github.com/ros-planning/moveit_visual_tools/issues/49>)
  * [feature] exposing the publishers to the user (#48 <https://github.com/ros-planning/moveit_visual_tools/issues/48>)
  * [feature] Highlight selected links in publishRobotState() + improved collision visualization (#45 <https://github.com/ros-planning/moveit_visual_tools/issues/45>)
  * [fix] Update to Noetic and fix various warnings (#79 <https://github.com/ros-planning/moveit_visual_tools/issues/79>)
  * [fix] Fix Eigen alignment (#63 <https://github.com/ros-planning/moveit_visual_tools/issues/63>)
  * [fix] missing end effector markers because clear (#51 <https://github.com/ros-planning/moveit_visual_tools/issues/51>)
  * [fix] Remove #attempts from setFromIK (#43 <https://github.com/ros-planning/moveit_visual_tools/issues/43>)
  * [documentation] Update README.md (#69 <https://github.com/ros-planning/moveit_visual_tools/issues/69>)
  * [documentation] update doc of hideRobot() (#64 <https://github.com/ros-planning/moveit_visual_tools/issues/64>)
  * [maint] add soname version (#74 <https://github.com/ros-planning/moveit_visual_tools/issues/74>)
  * [maint] Replace tf_conversions with tf2's toMsg / fromMsg (#66 <https://github.com/ros-planning/moveit_visual_tools/issues/66>)
  * [maint] fix clang-tidy issue (#68 <https://github.com/ros-planning/moveit_visual_tools/issues/68>)
  * [maint] Cleanup (#65 <https://github.com/ros-planning/moveit_visual_tools/issues/65>)
    * Replace robot_model and robot_state namespaces by moveit::core
    * Fix clang-tidy issues
    * Remove deprecated function
  * [maint] Bump required cmake version (#62 <https://github.com/ros-planning/moveit_visual_tools/issues/62>)
  * [maint] moveit.rosinstall: use master branch for all deps (#57 <https://github.com/ros-planning/moveit_visual_tools/issues/57>)
  * [maint] drop melodic + kinetic support for master branch (#58 <https://github.com/ros-planning/moveit_visual_tools/issues/58>)
  * [maint] Fix Travis config + issues (#47 <https://github.com/ros-planning/moveit_visual_tools/issues/47>)
  * [maint] Change 'MoveIt!' to MoveIt
  * Contributors: Bjar Ne, Dave Coleman, Henning Kayser, Jafar Abdi, Jens P, Mark Moll, Michael Görner, Mike Lautman, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Oct 2020 22:00:00 -0000

ros-noetic-moveit-visual-tools (3.5.2-1focal) focal; urgency=high

  * Use LOGNAME for named logging (#42 <https://github.com/ros-planning/moveit_visual_tools/issues/42>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#39 <https://github.com/ros-planning/moveit_visual_tools/issues/39>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Sun, 09 Dec 2018 23:00:00 -0000

ros-noetic-moveit-visual-tools (3.5.1-1focal) focal; urgency=high

  * Adding trigger call to animations when batch_publishing_enabled_ is enabled (#36 <https://github.com/ros-planning/moveit_visual_tools/issues/36>)
  * Contributors: Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Nov 2018 23:00:00 -0000

ros-noetic-moveit-visual-tools (3.5.0-1focal) focal; urgency=high

  * Add Markdown ROS Buildfarm badges for Melodic
  * Fixing melodic branch with tf2 updates (#34 <https://github.com/ros-planning/moveit_visual_tools/issues/34>)
  * Additional visualization (#31 <https://github.com/ros-planning/moveit_visual_tools/issues/31>)
    * adding a visualization for publishing a box with width, height, and depth
    * adding additional publishCollisionCuboid method overloads
    * changing x,y,z to width, depth, height
  * Fixup CMakeLists and package.xml (#30 <https://github.com/ros-planning/moveit_visual_tools/issues/30>)
  * Triggering UPDATE_GEOMETRY is sufficient, dont spinOnce
    - triggering UPDATE_SCENE leads to sending a full planning scene including all meshes. For all use-cases in this lib UPDATE_GEOMETRY is sufficient and sends only diffs
    - calling ros::spinOnce() in random places messes up the event queue (e.g. joint state updates being processed in gui thread instead of the async spinner thread)
  * Fix API compatibility by providing a default empty list of end-effector joints
  * Allow setting joint values for end-effector marker
    currently end-effector markers are based on the default robot state (ie all zero),
    this allows passing a vector of doubles for all active joint in the end-effector group
    Passing a new set of joint values will invalidate the cache but for our use-case this is
    neglectible and could be optimized later
  * Moved boost::shared_ptr to std for tf2
  * Converted to use tf2 moveit interfaces
  * Fix broken CI for Melodic
  * Fix Continuous Integration


=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
